package App::Model;

use strict;
use warnings;

use Carp;
use Data::Dumper;

use vars qw(%c $session $cgi);
*c = \*app::c;
*session = \$app::session;
*cgi = \$app::cgi;

use base qw/DBIx::Class::Schema::Loader/;

#__PACKAGE__->load_components(qw/InflateColumn::DateTime Core/);

sub load
{
  my $class = shift;
  my $dsn = shift || die "expected dsn";
  my $user = shift;
  my $pass = shift;

  __PACKAGE__->load_components(qw/InflateColumn::DateTime/);

  __PACKAGE__->loader_options(
    relationships => 1,
    #debug => 1,
    additional_base_classes => 'DBIx::Class::InflateColumn::DateTime',
  );
  
  __PACKAGE__->connection($dsn, $user, $pass);
}

#=

package App::Model::User;

use base qw/App::Model/;

=head1
__PACKAGE__->table('user');
__PACKAGE__->add_columns(
  id => { data_type => 'integer', size => 16, is_auto_increment => 1 },
  login => { data_type => 'varchar', size => 255 },
  name => { data_type => 'varchar', size => 255 },
  password => { data_type => 'varchar', size => 32 },
  is_admin => { data_type => 'int', size => 1, default => 0 },
);
=cut

#=

package App::Model::Sessions;

use base qw/App::Model/;


__END__

=head1 NAME

App::Model

=head1 DESCRIPTION

Database model objects for sample lightweight perl framework application

=head1 AUTHOR

Peter Edwards of Dragonstaff Limited <peter@dragonstaff.co.uk>

=head1 COPYRIGHT

Copyright (c) 2007 Dragonstaff Limited.

All rights reserved.

=cut

